<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zcloud.modules.kangzai.dao.BusRiverPointDao">

    <!--分页查询-->
    <select id="listPage" resultType="com.zcloud.modules.kangzai.entity.BusRiverPointEntity">
        SELECT
            t.*
        FROM bus_river_point t
        <where>
            <if test="params.riverPointId != null and params.riverPointId != ''">
                    AND t.river_point_id = #{params.riverPointId}
            </if>
            <if test="params.riverId != null and params.riverId != ''">
                    AND t.river_id = #{params.riverId}
            </if>
            <if test="params.pointOrder != null and params.pointOrder != ''">
                    AND t.point_order = #{params.pointOrder}
            </if>
            <if test="params.longitude != null and params.longitude != ''">
                    AND t.longitude = #{params.longitude}
            </if>
            <if test="params.latitude != null and params.latitude != ''">
                    AND t.latitude = #{params.latitude}
            </if>
            <if test="params.elevation != null and params.elevation != ''">
                    AND t.elevation = #{params.elevation}
            </if>
        </where>
        ORDER BY t.create_time DESC
    </select>
</mapper>
